Amazon Linux AMI:nginx (ALAS-2023-1870)

high Nessus 插件 ID 183406

简介

远程 Amazon Linux AMI 主机缺少安全更新。

描述

远程主机上安装的 nginx 版本低于 1.18.0-1.45。因此,该应用程序受到 ALAS-2023-1870 公告中提及的漏洞的影响。

- HTTP/2 协议允许拒绝服务(服务器资源消耗),因为取消请求即可快速重置许多流,正如在 2023 年 8 月到 2023 年 10 月期间在现实环境中利用的那样。(CVE-2023-44487)

请注意,Nessus 尚未测试此问题,而是只依据应用程序自我报告的版本号进行判断。

解决方案

运行 'yum update nginx' 以更新系统。

另见

https://alas.aws.amazon.com/ALAS-2023-1870.html

https://alas.aws.amazon.com/cve/html/CVE-2023-44487.html

https://alas.aws.amazon.com/faqs.html

插件详情

严重性: High

ID: 183406

文件名: ala_ALAS-2023-1870.nasl

版本: 1.5

类型: local

代理: unix

发布时间: 2023/10/19

最近更新时间: 2024/5/10

支持的传感器: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Nessus Agent, Nessus

风险信息

VPR

风险因素: Medium

分数: 6.7

CVSS v2

风险因素: High

基本分数: 7.8

时间分数: 6.4

矢量: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:C

CVSS 分数来源: CVE-2023-44487

CVSS v3

风险因素: High

基本分数: 7.5

时间分数: 7

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

时间矢量: CVSS:3.0/E:F/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:amazon:linux:nginx-mod-http-perl, p-cpe:/a:amazon:linux:nginx-all-modules, p-cpe:/a:amazon:linux:nginx-debuginfo, p-cpe:/a:amazon:linux:nginx, p-cpe:/a:amazon:linux:nginx-mod-http-image-filter, p-cpe:/a:amazon:linux:nginx-mod-http-xslt-filter, p-cpe:/a:amazon:linux:nginx-mod-http-geoip, cpe:/o:amazon:linux, p-cpe:/a:amazon:linux:nginx-mod-mail, p-cpe:/a:amazon:linux:nginx-mod-stream

必需的 KB 项: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

可利用: true

易利用性: Exploits are available

补丁发布日期: 2023/10/16

漏洞发布日期: 2023/10/10

CISA 已知可遭利用的漏洞到期日期: 2023/10/31

参考资料信息

CVE: CVE-2023-44487

IAVB: 2023-B-0083-S